/* EasyCODE(C++) V5.1 03.03.1995 11:07:55 */
/* EasyCODE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=Courier New,,80,9220,-11,0,400,0,0,0,0,0,0,3,2,1,49
PrinterFont=Courier New,,80,17414,-34,0,400,0,0,0,0,0,0,3,2,1,49
LastLevelId=1 */

/* EasyCODE ( 1
   Header file */
// ---------------------------------------------------------------------------
// Identifiers for ETF keywords.
// ---------------------------------------------------------------------------

#define ETF_EASYCODE                    0
#define ETF_LINE                        1
#define ETF_SHORTINFO                   2
#define ETF_ENDSHORTINFO                3
#define ETF_OPTIONS                     4
#define ETF_IFLAYOUT                    5
#define ETF_LEVELNUMBERS                6
#define ETF_LINENUMBERS                 7
#define ETF_CONSTRUCTNUMBERS            8
#define ETF_SCREENFONT                  9
#define ETF_PRINTERFONT                 10
#define ETF_LASTLEVELID                 11
#define ETF_ENDOPTIONS                  12
#define ETF_DUMMY                       13
#define ETF_LABEL                       14
#define ETF_SDFCOMMAND                  15
#define ETF_ENDSDFCOMMAND               16
#define ETF_SDFSTATEMENT                17
#define ETF_PROGRAM                     18
#define ETF_ENDSDFSTATEMENT             19
#define ETF_VARIANT                     20
#define ETF_ENDVARIANT                  21
#define ETF_RESOURCE                    22
#define ETF_ENDRESOURCE                 23
#define ETF_PROGRAMCALL                 24
#define ETF_ENDPROGRAMCALL              25
#define ETF_IF                          26
#define ETF_THEN                        27
#define ETF_ELSE                        28
#define ETF_ENDIF                       29
#define ETF_WHILE                       30
#define ETF_WHILEBODY                   31
#define ETF_ENDWHILE                    32
#define ETF_PERFORMTESTBEFORE           33
#define ETF_PERFORMTESTBEFOREBODY       34
#define ETF_ENDPERFORMTESTBEFORE        35
#define ETF_CYCLE                       36
#define ETF_ENDCYCLE                    37
#define ETF_LOOP                        38
#define ETF_ENDLOOP                     39
#define ETF_WHENBREAK                   40
#define ETF_ENDWHENBREAK                41
#define ETF_WHENEXIT                    42
#define ETF_ENDWHENEXIT                 43
#define ETF_ONCONDITION                 44
#define ETF_ONCONDITIONREST             45
#define ETF_ENDONCONDITION              46
#define ETF_ONCONDITIONBRANCH           47
#define ETF_ONCONDITIONBRANCHBODY       48
#define ETF_ENDONCONDITIONBRANCH        49
#define ETF_AND                         50
#define ETF_ENDAND                      51
#define ETF_OR                          52
#define ETF_ENDOR                       53
#define ETF_NOT                         54
#define ETF_ENDNOT                      55
#define ETF_JETCOND                     56
#define ETF_ENDJETCOND                  57
#define ETF_BLOCK                       58
#define ETF_BLOCKBODY                   59
#define ETF_ENDBLOCK                    60
#define ETF_LEVEL                       61
#define ETF_ENTRYNAME                   62
#define ETF_LEVELBODY                   63
#define ETF_ENDLEVEL                    64
#define ETF_TEXT                        65
#define ETF_OFFSET                      66
#define ETF_ENDTEXT                     67
#define ETF_ONSELECTOR                  68
#define ETF_ONSELECTORLIST              69
#define ETF_ONSELECTORREST              70
#define ETF_ENDONSELECTOR               71
#define ETF_ONSELECTORBRANCH            72
#define ETF_ONSELECTORBRANCHBODY        73
#define ETF_ENDONSELECTORBRANCH         74
#define ETF_FOR                         75
#define ETF_FORBODY                     76
#define ETF_ENDFOR                      77
#define ETF_PERFORMBEFOREVARYING        78
#define ETF_PERFORMBEFOREVARYINGBODY    79
#define ETF_ENDPERFORMBEFOREVARYING     80
#define ETF_REPEAT                      81
#define ETF_UNTIL                       82
#define ETF_ENDREPEAT                   83
#define ETF_PERFORMTESTAFTER            84
#define ETF_ENDPERFORMTESTAFTER         85
#define ETF_DOWHILE                     86
#define ETF_ENDDOWHILE                  87
#define ETF_CALL                        88
#define ETF_ENDCALL                     89
#define ETF_PERFORMOUTLINE              90
#define ETF_ENDPERFORMOUTLINE           91
#define ETF_INTERNALPROCEDURECALL       92
#define ETF_ENDINTERNALPROCEDURECALL    93
#define ETF_WHENLEAVE                   94
#define ETF_WHENLEAVEBLOCK              95
#define ETF_ENDWHENLEAVE                96
#define ETF_LEAVE                       97
#define ETF_ENDLEAVE                    98
#define ETF_EXIT                        99
#define ETF_BREAK                       100
#define ETF_DETACH                      101
#define ETF_RESTART                     102
#define ETF_GOBACK                      103
#define ETF_CONTINUE                    104
#define ETF_IFERROR                     105
#define ETF_IFERRORELSE                 106
#define ETF_ENDIFERROR                  107
#define ETF_ACTIONBLOCK                 108
#define ETF_ACTIONBLOCKBODY             109
#define ETF_ENDACTIONBLOCKBODY          110
#define ETF_ENDACTIONBLOCK              111
#define ETF_JETPROC                     112
#define ETF_JETPROCOPTIONS              113
#define ETF_ENDJETPROCOPTIONS           114
#define ETF_JETPROCDECLARATIONS         115
#define ETF_JETPROCBODY                 116
#define ETF_ENDJETPROCBODY              117
#define ETF_ENDJETPROC                  118
#define ETF_FREEFORMAT                  119
#define ETF_ENDFREEFORMAT               120
#define ETF_CSWITCH                     121
#define ETF_CSWITCHBODY                 122
#define ETF_ENDCSWITCH                  123
#define ETF_CCASEBRANCH                 124
#define ETF_CCASEBRANCHBODY             125
#define ETF_ENDCCASEBRANCH              126
#define ETF_DEFAULT                     127
#define ETF_ENDDEFAULT                  128
#define ETF_ALTERNATIVE                 129
#define ETF_ENDALTERNATIVE              130
#define ETF_RETURN                      131
#define ETF_ENDRETURN                   132
#define ETF_VARIABLE                    133
#define ETF_VARIABLEVARIANTS            134
#define ETF_ENDVARIABLE                 135
#define ETF_COBPROGRAM                  136
#define ETF_IDDIV                       137
#define ETF_ENVIRONMENTDIV              138
#define ETF_DATADIV                     139
#define ETF_PROCDIVPARAM                140
#define ETF_PROCDIVBODY                 141
#define ETF_ENDCOBPROGRAM               142
#define ETF_SECTION                     143
#define ETF_SECTIONBODY                 144
#define ETF_ENDSECTION                  145
#define ETF_PARAGRAPH                   146
#define ETF_PARAGRAPHBODY               147
#define ETF_ENDPARAGRAPH                148
#define ETF_PERFORMINLINE               149
#define ETF_ENDPERFORMINLINE            150
#define ETF_PERFORMTIMES                151
#define ETF_PERFORMTIMESBODY            152
#define ETF_ENDPERFORMTIMES             153
#define ETF_PERFORMAFTERVARYING         154
#define ETF_VARYING                     155
#define ETF_ENDPERFORMAFTERVARYING      156
#define ETF_EXITPERFORM                 157
#define ETF_EXITTOTEST                  158
#define ETF_EXITPROGRAM                 159
#define ETF_EXTERNALCALL                160
#define ETF_EXTERNALCALLPARAM           161
#define ETF_ENDEXTERNALCALL             162
#define ETF_SEARCH                      163
#define ETF_ATEND                       164
#define ETF_SEARCHBODY                  165
#define ETF_ENDSEARCH                   166
#define ETF_ENTRY                       167
#define ETF_ENTRYUSING                  168
#define ETF_ENDENTRY                    169
#define ETF_PROCEDURE                   170
#define ETF_PROCEDUREBODY               171
#define ETF_ENDPROCEDURE                172
#define ETF_OBJECT                      173
#define ETF_OBJECTBODY                  174
#define ETF_ENDOBJECT                   175
#define ETF_FUNCTION                    176
#define ETF_FUNCTIONBODY                177
#define ETF_ENDFUNCTION                 178
#define ETF_EXCEPTION                   179
#define ETF_ONEXCEPTION                 180
#define ETF_EXCEPTIONBODY               181
#define ETF_NOTEXCEPTIONBODY            182
#define ETF_ENDEXCEPTION                183
#define ETF_EVALUATE                    184
#define ETF_EVALUATEBODY                185
#define ETF_EVALUATEOTHER               186
#define ETF_ENDEVALUATE                 187
#define ETF_CHOICE                      188
#define ETF_ENDCHOICE                   189
#define ETF_ITERATION                   190
#define ETF_ITERATIONBODY               191
#define ETF_ENDITERATIONBODY            192
#define ETF_ENDITERATION                193
#define ETF_FRAME                       194
#define ETF_FRAMEBODY                   195
#define ETF_ENDFRAMEBODY                196
#define ETF_ENDFRAME                    197
#define ETF_XOR                         198
#define ETF_ENDXOR                      199
#define ETF_CLASS                       200
#define ETF_CLASSBODY                   201
#define ETF_ENDCLASSBODY                202
#define ETF_ENDCLASS                    203
#define ETF_PRIVATE                     204
#define ETF_PUBLIC                      205
#define ETF_PROTECTED                   206
#define ETF_LASTKEYWORD                 ETF_PROTECTED
/* EasyCODE ) */
